Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.recovery
Class RecoveryDriver

    java.lang.Object
      com.arjuna.ats.arjuna.recovery.RecoveryDriver

public class RecoveryDriver
extends java.lang.Object

Constructor Summary
`RecoveryDriver(int port)`
`RecoveryDriver(int port, java.lang.String hostName)`
`RecoveryDriver(int port, java.lang.String hostName, int timeout)`

Method Summary
`boolean` | `asynchronousScan()`
`boolean` | `synchronousScan()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecoveryDriver

    public RecoveryDriver(int port)

### RecoveryDriver

    public RecoveryDriver(int port,
                          java.lang.String hostName)

### RecoveryDriver

    public RecoveryDriver(int port,
                          java.lang.String hostName,
                          int timeout)

Method Detail

### synchronousScan

    public final boolean synchronousScan()
                                  throws java.net.UnknownHostException,
                                         java.net.SocketException,
                                         java.io.IOException

  Throws:
    `java.net.UnknownHostException`
    `java.net.SocketException`
    `java.io.IOException`

### asynchronousScan

    public final boolean asynchronousScan()
                                   throws java.net.UnknownHostException,
                                          java.net.SocketException,
                                          java.io.IOException

  Throws:
    `java.net.UnknownHostException`
    `java.net.SocketException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD